searchData={"items":[{"type":"module","title":"EQRCode","doc":"Simple QR Code Generator written in Elixir with no other dependencies.","ref":"EQRCode.html"},{"type":"function","title":"EQRCode.encode/2","doc":"Encode the binary.","ref":"EQRCode.html#encode/2"},{"type":"function","title":"EQRCode.encode/3","doc":"Encode the binary with custom pattern bits.\n\nOnly supports version 5.","ref":"EQRCode.html#encode/3"},{"type":"function","title":"EQRCode.png/2","doc":"","ref":"EQRCode.html#png/2"},{"type":"function","title":"EQRCode.render/1","doc":"","ref":"EQRCode.html#render/1"},{"type":"function","title":"EQRCode.svg/2","doc":"","ref":"EQRCode.html#svg/2"},{"type":"type","title":"EQRCode.error_correction_level/0","doc":"","ref":"EQRCode.html#t:error_correction_level/0"},{"type":"module","title":"EQRCode.Encode","doc":"Data encoding in Byte Mode.","ref":"EQRCode.Encode.html"},{"type":"function","title":"EQRCode.Encode.bits/1","doc":"Returns bits for any binary data.","ref":"EQRCode.Encode.html#bits/1"},{"type":"function","title":"Examples - EQRCode.Encode.bits/1","doc":"iex> EQRCode.Encode.bits(<<123, 4>>)\n    [0, 1, 1, 1, 1, 0, 1, 1, 0, 0, 0, 0, 0, 1, 0, 0]","ref":"EQRCode.Encode.html#bits/1-examples"},{"type":"function","title":"EQRCode.Encode.encode/2","doc":"Encode the binary.","ref":"EQRCode.Encode.html#encode/2"},{"type":"function","title":"Examples - EQRCode.Encode.encode/2","doc":"iex> EQRCode.Encode.encode(\"hello world!\", :l)\n    {1, :l, [0, 1, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 1, 1, 0, 1, 0, 0, 0, 0, 1, 1, 0, 0, 1,\n     0, 1, 0, 1, 1, 0, 1, 1, 0, 0, 0, 1, 1, 0, 1, 1, 0, 0, 0, 1, 1, 0, 1, 1, 1, 1,\n     0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 1, 1, 0, 1, 1, 1, 0, 1, 1, 0, 1, 1, 1, 1, 0, 1,\n     1, 1, 0, 0, 1, 0, 0, 1, 1, 0, 1, 1, 0, 0, 0, 1, 1, 0, 0, 1, 0, 0, 0, 0, 1, 0,\n     0, 0, 0, 1, 0, 0, 0, 0, 1, 1, 1, 0, 1, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 1, 1, 1,\n     1, 0, 1, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 1, 1, 1, 1, 0, 1, 1, 0, 0]}","ref":"EQRCode.Encode.html#encode/2-examples"},{"type":"function","title":"EQRCode.Encode.encode/3","doc":"","ref":"EQRCode.Encode.html#encode/3"},{"type":"function","title":"EQRCode.Encode.version/2","doc":"Returns the lowest version for the given binary.","ref":"EQRCode.Encode.html#version/2"},{"type":"function","title":"Examples - EQRCode.Encode.version/2","doc":"iex> EQRCode.Encode.version(\"hello world!\", :l)\n    {:ok, 1}","ref":"EQRCode.Encode.html#version/2-examples"},{"type":"module","title":"EQRCode.PNG","doc":"Render the QR Code matrix in PNG format.","ref":"EQRCode.PNG.html"},{"type":"function","title":"EQRCode.PNG.png/2","doc":"Returns the PNG binary representation of the QR Code","ref":"EQRCode.PNG.html#png/2"},{"type":"function","title":"Options - EQRCode.PNG.png/2","doc":"You can specify the following attributes of the QR code:\n\n* `:color` - In binary format. The default is `<<0, 0, 0>>`\n\n* `:background_color` - In binary format or `:transparent`. The default is\n  `<<255, 255, 255>>`\n\n* `:width` - The width of the QR code in pixel. (the actual size may vary, due\n  to the number of modules in the code)\n\nBy default, QR code size will be dynamically generated based on the input string.","ref":"EQRCode.PNG.html#png/2-options"},{"type":"function","title":"Examples - EQRCode.PNG.png/2","doc":"qr_code_content\n    |> EQRCode.encode()\n    |> EQRCode.png(color: <<255, 0, 255>>, width: 200)","ref":"EQRCode.PNG.html#png/2-examples"},{"type":"module","title":"EQRCode.Render","doc":"Render the QR Code matrix.\n\nTaken essentially verbatim from https://github.com/sunboshan/qrcode","ref":"EQRCode.Render.html"},{"type":"function","title":"EQRCode.Render.render2/1","doc":"Rotate the QR Code 90 degree clockwise and render to terminal.","ref":"EQRCode.Render.html#render2/1"},{"type":"function","title":"EQRCode.Render.render/1","doc":"Render the QR Code to terminal.","ref":"EQRCode.Render.html#render/1"},{"type":"function","title":"Examples - EQRCode.Render.render/1","doc":"qr_code_content\n    |> EQRCode.encode()\n    |> EQRCode.render()","ref":"EQRCode.Render.html#render/1-examples"},{"type":"module","title":"EQRCode.SVG","doc":"Render the QR Code matrix in SVG format","ref":"EQRCode.SVG.html"},{"type":"function","title":"EQRCode.SVG.svg/2","doc":"Returns the SVG format of the QR Code.","ref":"EQRCode.SVG.html#svg/2"},{"type":"function","title":"Options - EQRCode.SVG.svg/2","doc":"You can specify the following attributes of the QR code:\n\n* `:background_color` - In hexadecimal format or `:transparent`. The default is `#FFF`\n\n* `:color` - In hexadecimal format. The default is `#000`\n\n* `:shape` - Only `square` or `circle`. The default is `square`\n\n* `:width` - The width of the QR code in pixel. Without the width attribute,\n  the QR code size will be dynamically generated based on the input string.\n\n* `:viewbox` - When set to `true`, the SVG element will specify its height and\n  width using `viewBox`, instead of explicit `height` and `width` tags.\n\nDefault options are `[color: \"#000\", shape: \"square\", background_color: \"#FFF\"]`.","ref":"EQRCode.SVG.html#svg/2-options"},{"type":"function","title":"Examples - EQRCode.SVG.svg/2","doc":"qr_code_content\n    |> EQRCode.encode()\n    |> EQRCode.svg(color: \"#cc6600\", shape: \"circle\", width: 300)","ref":"EQRCode.SVG.html#svg/2-examples"},{"type":"module","title":"EQRCode.SpecTable","doc":"","ref":"EQRCode.SpecTable.html"},{"type":"function","title":"EQRCode.SpecTable.character_count_indicator_bits/3","doc":"","ref":"EQRCode.SpecTable.html#character_count_indicator_bits/3"},{"type":"function","title":"EQRCode.SpecTable.code_words_len/2","doc":"","ref":"EQRCode.SpecTable.html#code_words_len/2"},{"type":"function","title":"EQRCode.SpecTable.ec_codewords_per_block/2","doc":"","ref":"EQRCode.SpecTable.html#ec_codewords_per_block/2"},{"type":"function","title":"EQRCode.SpecTable.error_correction_level/0","doc":"","ref":"EQRCode.SpecTable.html#error_correction_level/0"},{"type":"function","title":"EQRCode.SpecTable.error_corretion_bits/1","doc":"","ref":"EQRCode.SpecTable.html#error_corretion_bits/1"},{"type":"function","title":"EQRCode.SpecTable.find_version/3","doc":"","ref":"EQRCode.SpecTable.html#find_version/3"},{"type":"function","title":"EQRCode.SpecTable.group1_block_len/2","doc":"","ref":"EQRCode.SpecTable.html#group1_block_len/2"},{"type":"function","title":"EQRCode.SpecTable.group1_codewords_per_block/2","doc":"","ref":"EQRCode.SpecTable.html#group1_codewords_per_block/2"},{"type":"function","title":"EQRCode.SpecTable.group2_block_len/2","doc":"","ref":"EQRCode.SpecTable.html#group2_block_len/2"},{"type":"function","title":"EQRCode.SpecTable.group2_codewords_per_block/2","doc":"","ref":"EQRCode.SpecTable.html#group2_codewords_per_block/2"},{"type":"function","title":"EQRCode.SpecTable.mode_indicator/1","doc":"","ref":"EQRCode.SpecTable.html#mode_indicator/1"},{"type":"function","title":"EQRCode.SpecTable.remainer/1","doc":"","ref":"EQRCode.SpecTable.html#remainer/1"},{"type":"function","title":"EQRCode.SpecTable.version_information_bits/1","doc":"","ref":"EQRCode.SpecTable.html#version_information_bits/1"},{"type":"type","title":"EQRCode.SpecTable.error_correction_level/0","doc":"","ref":"EQRCode.SpecTable.html#t:error_correction_level/0"},{"type":"type","title":"EQRCode.SpecTable.mode/0","doc":"","ref":"EQRCode.SpecTable.html#t:mode/0"},{"type":"type","title":"EQRCode.SpecTable.version/0","doc":"","ref":"EQRCode.SpecTable.html#t:version/0"},{"type":"extras","title":"License","doc":"The MIT License (MIT)\n\nCopyright (c) 2014 Silicon Jungles\n\nPermission is hereby granted, free of charge, to any person obtaining a copy\nof this software and associated documentation files (the \"Software\"), to deal\nin the Software without restriction, including without limitation the rights\nto use, copy, modify, merge, publish, distribute, sublicense, and/or sell\ncopies of the Software, and to permit persons to whom the Software is\nfurnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in all\ncopies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\nIMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\nFITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\nAUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\nLIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,\nOUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE\nSOFTWARE.","ref":"license.html"},{"type":"extras","title":"Overview","doc":"# EQRCode\n\nSimple QR Code Generator written in Elixir with no other dependencies.","ref":"readme.html"},{"type":"extras","title":"Installation - Overview","doc":"```elixir\ndef deps do\n  [\n    {:eqrcode, \"~> 0.2.0\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Using EQRCode (Basic Usage) - Overview","doc":"You can use EQRCode to generate QR Code in SVG or PNG format.\n\n```elixir\nqr_code_content = \"your_qr_code_content\"\n\n# To SVG\nqr_code_content\n|> EQRCode.encode()\n|> EQRCode.svg()\n\n# To PNG\nqr_code_content\n|> EQRCode.encode()\n|> EQRCode.png()\n```\n\n![screenshot-defaults](./assets/default.png)\n\nNote that the PNG format is only the binary. You still have to write the data to a file:\n\n```elixir\nqr_code_png =\n  qr_code_content\n  |> EQRCode.encode()\n  |> EQRCode.png()\n\nFile.write(\"path/where/you/want/to/save.png\", qr_code_png, [:binary])\n```\n\nYou should be able to see the file generated in the path you specified.","ref":"readme.html#using-eqrcode-basic-usage"},{"type":"extras","title":"Image Rendering Options - Overview","doc":"","ref":"readme.html#image-rendering-options"},{"type":"extras","title":"SVG - Overview","doc":"You can pass in options into `EQRCode.svg()`:\n\n```elixir\nqr_code_content\n|> EQRCode.encode()\n|> EQRCode.svg(color: \"#03B6AD\", shape: \"circle\", width: 300, background_color: \"#FFF\")\n```\n\n![screenshot-circle-color](./assets/circle-color.png)\n\nYou can specify the following attributes of the QR code:\n\n* `color`: In hexadecimal format. The default is `#000`\n\n* `background_color`: In hexadecimal format or `:transparent`. The default is `#FFF`.\n\n* `shape`: Only `square` or `circle`. The default is `square`\n\n* `width`: The width of the QR code in pixel. Without the width attribute, the\n  QR code size will be dynamically generated based on the input string.\n\n* `viewbox`: When set to `true`, the SVG element will specify its height and\n  width using `viewBox`, instead of explicit `height` and `width` tags.\n\nDefault options are `[color: \"#000\", shape: \"square\", background_color: \"#FFF\"]`.","ref":"readme.html#svg"},{"type":"extras","title":"PNG - Overview","doc":"You can specify the following attributes of the QR code:\n\n* `color`: In binary format in the RGB order. The default is `<<0, 0, 0>>`\n\n* `background_color`: In binary format or `:transparent`. The default is\n  `<<255, 255, 255>>`\n\n* `width`: The width of the QR code in pixel. (the actual size may vary, due to\n  the number of modules in the code)\n\nBy default, QR code size will be dynamically generated based on the input string.","ref":"readme.html#png"},{"type":"extras","title":"ASCII - Overview","doc":"You can also render the QRCode in your console:\n\n```elixir\nqr_code_content\n|> EQRCode.encode()\n|> EQRCode.render()\n```","ref":"readme.html#ascii"},{"type":"extras","title":"Credits - Overview","doc":"We reused most of the code from [sunboshan/qrcode](https://github.com/sunboshan/qrcode) to generate the matrix required to render the QR Code. We also reference [rqrcode](https://github.com/whomwah/rqrcode) on how to generate SVG from the QR Code matrix.","ref":"readme.html#credits"},{"type":"extras","title":"Copyright and License - Overview","doc":"Copyright (c) 2024 Silicon Jungles\n\nThis library is released under the MIT License. See the\n[LICENSE.md](./LICENSE.md) file.","ref":"readme.html#copyright-and-license"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.35.1"}}